Subject: bug#52520: Multicast is off by default

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 Dec 2021 16:15:36 +0100

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> Since the guile-netlink switch the static IP interfaces no longer have
> multicast support. This can be confirmed this way:

[...]

> I think that we could maybe apply the following patch, even though I
> didn't test it.
>
> diff --git a/gnu/services/base.scm b/gnu/services/base.scm
> index 5f93483dda..af3fe015b9 100644
> --- a/gnu/services/base.scm
> +++ b/gnu/services/base.scm
> @@ -2546,6 +2546,7 @@ (define network-set-up/linux
>                                                  #$(network-address-ipv6? address))
>                                        ;; FIXME: loopback?
>                                        (link-set #$(network-address-device address)
> +                                                #:multicast-on #t
>                                                  #:up #t)))

Is it #:multicast-on or #:allmulticast-on ?

Anyhow, I suggest adding a ‘multicast?’ field to <network-address>, with
#t as its default value, and honoring this.

(Someone told me they’d like to set the MTU, so we may need an ‘mtu’
field as well eventually.)

Thanks!

Ludo’.